#### QUANTILE COLOR FUNCTION

# For blocks
quantile.color <- function(data,colvec){
  # colvec = c( 0-5% , 5-50% , 50-95%, 95-100%)
  data <- as.numeric(data)
  
  blockorder <- c(1,  2,  6,  4,  5,  3,  8,  9, 10,
                  7, 16, 11, 12, 13, 14, 15, 17, 18,
                  19, 22, 23, 20, 24, 21, 25, 28, 31,
                  26, 29, 27, 30, 32, 33, 34, 39, 42, 48, 43, 
                  40, 36, 44, 45, 50, 51, 52, 41, 37, 38, 35, 47, 53, 54, 49, 46)
  
  colreturn <- rep("gray",times=length(data))
  for(i in 1:length(blockorder)){
    blocknum <- blockorder[i]
    datacol <- data[blocknum]
    if(is.na(datacol)==FALSE){
      if(datacol > 0 & datacol <= .05){colreturn[i] <- colvec[1]}
      if(datacol > .05 & datacol <= .5){colreturn[i] <- colvec[2]}
      if(datacol > .5 & datacol <= .95){colreturn[i] <- colvec[3]}
      if(datacol > .95 & datacol <= 1){colreturn[i] <- colvec[4]}
    }
  }
  return(colreturn)
}



# For provinces


